/*===========================================================================*/
/*   (Integrate/walk.scm)                                                    */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Integrate/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;


BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_methodzd2initzd2zzintegrate_walkz00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
BGL_EXPORTED_DECL obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzintegrate_walkz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
static obj_t BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
static obj_t BGl__integratezd2walkz12zc0zzintegrate_walkz00(obj_t, obj_t);
extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_integratezd2walkz12zd2envz12zzintegrate_walkz00, BgL_bgl__integrateza7d2walkza712za7c0za7za7integrate_walkza7001826z00, BGl__integratezd2walkz12zc0zzintegrate_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string1797z00zzintegrate_walkz00, BgL_bgl_string1797za700za7za7integrate_walkza7001827z00, "(integrate cfa) pass-started ", 29 );
DEFINE_STRING( BGl_string1796z00zzintegrate_walkz00, BgL_bgl_string1796za700za7za7integrate_walkza7001828z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string1795z00zzintegrate_walkz00, BgL_bgl_string1795za700za7za7integrate_walkza7001829z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string1794z00zzintegrate_walkz00, BgL_bgl_string1794za700za7za7integrate_walkza7001830z00, " error", 6 );
DEFINE_STRING( BGl_string1793z00zzintegrate_walkz00, BgL_bgl_string1793za700za7za7integrate_walkza7001831z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string1792z00zzintegrate_walkz00, BgL_bgl_string1792za700za7za7integrate_walkza7001832z00, "   . ", 5 );
DEFINE_STRING( BGl_string1791z00zzintegrate_walkz00, BgL_bgl_string1791za700za7za7integrate_walkza7001833z00, "Integration", 11 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long BgL_checksumz00_473, char * BgL_fromz00_474)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00(); 
BGl_cnstzd2initzd2zzintegrate_walkz00(); 
BGl_importedzd2moduleszd2initz00zzintegrate_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00()
{ AN_OBJECT;
{ /* ./Integrate/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "integrate_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzintegrate_walkz00()
{ AN_OBJECT;
{ /* ./Integrate/walk.scm 15 */
{ /* ./Integrate/walk.scm 15 */
obj_t BgL_cportz00_466;
BgL_cportz00_466 = 
open_input_string(BGl_string1797z00zzintegrate_walkz00); 
{ 
long BgL_iz00_467;
BgL_iz00_467 = ((long)1); 
BgL_loopz00_468:
{ /* ./Integrate/walk.scm 15 */
bool_t BgL_test1799z00_469;
BgL_test1799z00_469 = 
(BgL_iz00_467==((long)-1)); 
if(BgL_test1799z00_469)
{ /* ./Integrate/walk.scm 15 */
return BUNSPEC;}  else 
{ /* ./Integrate/walk.scm 15 */
{ /* ./Integrate/walk.scm 15 */
obj_t BgL_arg1801z00_470;
{ /* ./Integrate/walk.scm 15 */
obj_t BgL_list1804z00_471;
BgL_list1804z00_471 = 
MAKE_PAIR(BgL_cportz00_466, BNIL); 
BgL_arg1801z00_470 = 
BGl_readz00zz__readerz00(BgL_list1804z00_471); } 
{ /* ./Integrate/walk.scm 15 */
int BgL_auxz00_492;
BgL_auxz00_492 = 
(int)(BgL_iz00_467); 
CNST_TABLE_SET(BgL_auxz00_492, BgL_arg1801z00_470); } } 
{ /* ./Integrate/walk.scm 15 */
int BgL_auxz00_472;
{ /* ./Integrate/walk.scm 15 */
long BgL_auxz00_495;
BgL_auxz00_495 = 
(BgL_iz00_467-((long)1)); 
BgL_auxz00_472 = 
(int)(BgL_auxz00_495); } 
{ 
long BgL_iz00_498;
BgL_iz00_498 = 
(long)(BgL_auxz00_472); 
BgL_iz00_467 = BgL_iz00_498; 
goto BgL_loopz00_468;} } } } } } } 
}



/* integrate-walk! */
BGL_EXPORTED_DEF obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* ./Integrate/walk.scm 28 */
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_list1562z00_274;
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_arg1565z00_276;
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_arg1569z00_278;
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_auxz00_500;
BgL_auxz00_500 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1569z00_278 = 
MAKE_PAIR(BgL_auxz00_500, BNIL); } 
BgL_arg1565z00_276 = 
MAKE_PAIR(BGl_string1791z00zzintegrate_walkz00, BgL_arg1569z00_278); } 
BgL_list1562z00_274 = 
MAKE_PAIR(BGl_string1792z00zzintegrate_walkz00, BgL_arg1565z00_276); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1562z00_274); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string1791z00zzintegrate_walkz00; 
{ 
obj_t BgL_hooksz00_279;obj_t BgL_hnamesz00_280;
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_arg1573z00_282;
BgL_arg1573z00_282 = BNIL; 
BgL_hooksz00_279 = BgL_arg1573z00_282; 
BgL_hnamesz00_280 = BNIL; 
BgL_loopz00_281:
{ /* ./Integrate/walk.scm 29 */
bool_t BgL_test1579z00_285;
BgL_test1579z00_285 = 
NULLP(BgL_hooksz00_279); 
if(BgL_test1579z00_285)
{ /* ./Integrate/walk.scm 29 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Integrate/walk.scm 29 */
bool_t BgL_test1580z00_286;
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_fun1602z00_292;
BgL_fun1602z00_292 = 
CAR(BgL_hooksz00_279); 
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_auxz00_512;
BgL_auxz00_512 = 
PROCEDURE_ENTRY(BgL_fun1602z00_292)(BgL_fun1602z00_292, BEOA); 
BgL_test1580z00_286 = 
CBOOL(BgL_auxz00_512); } } 
if(BgL_test1580z00_286)
{ /* ./Integrate/walk.scm 29 */
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_arg1586z00_287;obj_t BgL_arg1587z00_288;
BgL_arg1586z00_287 = 
CDR(BgL_hooksz00_279); 
BgL_arg1587z00_288 = 
CDR(BgL_hnamesz00_280); 
{ 
obj_t BgL_hnamesz00_520;obj_t BgL_hooksz00_519;
BgL_hooksz00_519 = BgL_arg1586z00_287; 
BgL_hnamesz00_520 = BgL_arg1587z00_288; 
BgL_hnamesz00_280 = BgL_hnamesz00_520; 
BgL_hooksz00_279 = BgL_hooksz00_519; 
goto BgL_loopz00_281;} } }  else 
{ /* ./Integrate/walk.scm 29 */
{ /* ./Integrate/walk.scm 29 */
obj_t BgL_arg1596z00_291;
BgL_arg1596z00_291 = 
CAR(BgL_hnamesz00_280); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1791z00zzintegrate_walkz00, BGl_string1793z00zzintegrate_walkz00, BgL_arg1596z00_291); } } } } } } 
{ 
obj_t BgL_oldz00_293;obj_t BgL_newz00_294;
BgL_oldz00_293 = BgL_globalsz00_1; 
BgL_newz00_294 = BNIL; 
BgL_loopz00_295:
{ /* ./Integrate/walk.scm 32 */
bool_t BgL_test1606z00_296;
BgL_test1606z00_296 = 
NULLP(BgL_oldz00_293); 
if(BgL_test1606z00_296)
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_valuez00_297;
BgL_valuez00_297 = 
BGl_removezd2varzd2zzast_removez00(
CNST_TABLE_REF(((long)1)), BgL_newz00_294); 
{ /* ./Integrate/walk.scm 33 */
bool_t BgL_test1607z00_298;
{ /* ./Integrate/walk.scm 33 */
long BgL_n1z00_444;
BgL_n1z00_444 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test1607z00_298 = 
(BgL_n1z00_444>((long)0)); } 
if(BgL_test1607z00_298)
{ /* ./Integrate/walk.scm 33 */
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_port1560z00_299;
BgL_port1560z00_299 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port1560z00_299); 
display_string(BGl_string1794z00zzintegrate_walkz00, BgL_port1560z00_299); 
{ /* ./Integrate/walk.scm 33 */
char * BgL_arg1611z00_300;
{ /* ./Integrate/walk.scm 33 */
bool_t BgL_test1613z00_301;
{ /* ./Integrate/walk.scm 33 */
bool_t BgL_test1614z00_302;
{ /* ./Integrate/walk.scm 33 */
bool_t BgL_res1768z00_452;
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_objz00_446;
BgL_objz00_446 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./Integrate/walk.scm 33 */
bool_t BgL_test1396z00_447;
BgL_test1396z00_447 = 
INTEGERP(BgL_objz00_446); 
if(BgL_test1396z00_447)
{ /* ./Integrate/walk.scm 33 */
BgL_res1768z00_452 = ((bool_t)1); }  else 
{ /* ./Integrate/walk.scm 33 */
bool_t BgL_test1397z00_448;
BgL_test1397z00_448 = 
REALP(BgL_objz00_446); 
if(BgL_test1397z00_448)
{ /* ./Integrate/walk.scm 33 */
double BgL_arg1399z00_449;
BgL_arg1399z00_449 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_446)); 
{ /* ./Integrate/walk.scm 33 */
double BgL_auxz00_539;
BgL_auxz00_539 = 
REAL_TO_DOUBLE(BgL_objz00_446); 
BgL_res1768z00_452 = 
(BgL_auxz00_539==BgL_arg1399z00_449); } }  else 
{ /* ./Integrate/walk.scm 33 */
BgL_res1768z00_452 = ((bool_t)0); } } } } 
BgL_test1614z00_302 = BgL_res1768z00_452; } 
if(BgL_test1614z00_302)
{ /* ./Integrate/walk.scm 33 */
BgL_test1613z00_301 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./Integrate/walk.scm 33 */
BgL_test1613z00_301 = ((bool_t)0); } } 
if(BgL_test1613z00_301)
{ /* ./Integrate/walk.scm 33 */
BgL_arg1611z00_300 = "s"; }  else 
{ /* ./Integrate/walk.scm 33 */
BgL_arg1611z00_300 = ""; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg1611z00_300), BgL_port1560z00_299); } 
display_string(BGl_string1795z00zzintegrate_walkz00, BgL_port1560z00_299); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1560z00_299); } 
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_list1621z00_303;
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_auxz00_550;
BgL_auxz00_550 = 
BINT(((long)-1)); 
BgL_list1621z00_303 = 
MAKE_PAIR(BgL_auxz00_550, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list1621z00_303);} }  else 
{ 
obj_t BgL_hooksz00_304;obj_t BgL_hnamesz00_305;
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_arg1624z00_307;
BgL_arg1624z00_307 = BNIL; 
BgL_hooksz00_304 = BgL_arg1624z00_307; 
BgL_hnamesz00_305 = BNIL; 
BgL_loopz00_306:
{ /* ./Integrate/walk.scm 33 */
bool_t BgL_test1629z00_310;
BgL_test1629z00_310 = 
NULLP(BgL_hooksz00_304); 
if(BgL_test1629z00_310)
{ /* ./Integrate/walk.scm 33 */
return BgL_valuez00_297;}  else 
{ /* ./Integrate/walk.scm 33 */
bool_t BgL_test1630z00_311;
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_fun1647z00_316;
BgL_fun1647z00_316 = 
CAR(BgL_hooksz00_304); 
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_auxz00_557;
BgL_auxz00_557 = 
PROCEDURE_ENTRY(BgL_fun1647z00_316)(BgL_fun1647z00_316, BEOA); 
BgL_test1630z00_311 = 
CBOOL(BgL_auxz00_557); } } 
if(BgL_test1630z00_311)
{ /* ./Integrate/walk.scm 33 */
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_arg1632z00_312;obj_t BgL_arg1634z00_313;
BgL_arg1632z00_312 = 
CDR(BgL_hooksz00_304); 
BgL_arg1634z00_313 = 
CDR(BgL_hnamesz00_305); 
{ 
obj_t BgL_hnamesz00_565;obj_t BgL_hooksz00_564;
BgL_hooksz00_564 = BgL_arg1632z00_312; 
BgL_hnamesz00_565 = BgL_arg1634z00_313; 
BgL_hnamesz00_305 = BgL_hnamesz00_565; 
BgL_hooksz00_304 = BgL_hooksz00_564; 
goto BgL_loopz00_306;} } }  else 
{ /* ./Integrate/walk.scm 33 */
{ /* ./Integrate/walk.scm 33 */
obj_t BgL_arg1642z00_315;
BgL_arg1642z00_315 = 
CAR(BgL_hnamesz00_305); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string1796z00zzintegrate_walkz00, BgL_arg1642z00_315);} } } } } } } }  else 
{ /* ./Integrate/walk.scm 34 */
obj_t BgL_globalz00_317;
BgL_globalz00_317 = 
CAR(BgL_oldz00_293); 
{ /* ./Integrate/walk.scm 35 */
obj_t BgL_arg1654z00_318;
{ /* ./Integrate/walk.scm 35 */
BgL_variablez00_bglt BgL_obj1093z00_462;
BgL_obj1093z00_462 = 
(BgL_variablez00_bglt)(BgL_globalz00_317); 
BgL_arg1654z00_318 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_462))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1654z00_318); } 
{ /* ./Integrate/walk.scm 36 */
obj_t BgL_arg1658z00_319;obj_t BgL_arg1659z00_320;
BgL_arg1658z00_319 = 
CDR(BgL_oldz00_293); 
{ /* ./Integrate/walk.scm 37 */
obj_t BgL_arg1663z00_321;
BgL_arg1663z00_321 = 
BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(BgL_globalz00_317); 
BgL_arg1659z00_320 = 
bgl_append2(BgL_arg1663z00_321, BgL_newz00_294); } 
{ 
obj_t BgL_newz00_576;obj_t BgL_oldz00_575;
BgL_oldz00_575 = BgL_arg1658z00_319; 
BgL_newz00_576 = BgL_arg1659z00_320; 
BgL_newz00_294 = BgL_newz00_576; 
BgL_oldz00_293 = BgL_oldz00_575; 
goto BgL_loopz00_295;} } } } } } 
}



/* _integrate-walk! */
obj_t BGl__integratezd2walkz12zc0zzintegrate_walkz00(obj_t BgL_envz00_464, obj_t BgL_globalsz00_465)
{ AN_OBJECT;
{ /* ./Integrate/walk.scm 28 */
return 
BGl_integratezd2walkz12zc0zzintegrate_walkz00(BgL_globalsz00_465);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzintegrate_walkz00()
{ AN_OBJECT;
{ /* ./Integrate/walk.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00()
{ AN_OBJECT;
{ /* ./Integrate/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "integrate_walk"); 
BGl_modulezd2initializa7ationz75zzast_removez00(((long)12493), "integrate_walk"); 
return 
BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(((long)23827), "integrate_walk");} 
}

